## syslog-summary 1.13

=== Makefile ===
XP = xsltproc --nonet \
				--param man.charmap.use.subset "0" \
				--param make.year.ranges "1" \
				--param make.single.year.ranges "1"

install:
	install -m 755 syslog-summary $(DESTDIR)/usr/bin/syslog-summary
	install -m 644 ignore.rules $(DESTDIR)/etc/syslog-summary/ignore.rules

uninstall:
	[ ! -f $(DESTDIR)/usr/bin/syslog-summary ] || rm -v $(DESTDIR)/usr/bin/syslog-summary
	[ ! -d $(DESTDIR)/etc/syslog-summary ] || rm -vrf $(DESTDIR)/etc/syslog-summary/

syslog-summary.1: syslog-summary.1.xml
	$(XP) $<

## syslog-summary 1.3.1

=== debian/changelog ===
syslog-summary (1.3.1) unstable; urgency=low

  * Manual page actually installed into the .deb.

 -- Lars Wirzenius <liw@iki.fi>  Sun,  9 Aug 1998 22:36:04 +0300

syslog-summary (1.3) unstable; urgency=low

  * Added options --quiet and --ignore, to make it less painful to run
    syslog-summary every hour via cron.
  * Added a manual page.

 -- Lars Wirzenius <liw@iki.fi>  Sat,  8 Aug 1998 17:41:51 +0300

syslog-summary (1.2) unstable; urgency=low

  * Fixed the regular expression for matching the name of a month.

 -- Lars Wirzenius <liw@iki.fi>  Tue, 7 Apr 1998 16:29:16 +0300

syslog-summary (1.0) unstable; urgency=low

  * First release.

 -- Lars Wirzenius <liw@iki.fi>  Mon, 23 Feb 1998 16:03:54 +0200

=== debian/control ===
Source: syslog-summary
Maintainer: Lars Wirzenius <liw@iki.fi>
Section: admin
Priority: optional
Standards-Version: 2.4.0.0

Package: syslog-summary
Architecture: all
Depends: python-base
Description: Summarize the contents of a syslog log file.
 This program summarizes the contents of a log file written by syslog,
 by displaying each unique (except for the time) line once, and also
 the number of times such a line occurs in the input. The lines are
 displayed in the order they occur in the input.

=== debian/rules ===
#!/usr/bin/make -f

package=syslog-summary

build:
	true

binary: binary-arch binary-indep

binary-arch: checkroot build
	true

binary-indep:
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/doc/$(package)/examples
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/man 
	install -d debian/tmp/usr/man/man1
	install syslog-summary debian/tmp/usr/bin
	install -m 0644 syslog-summary.1 debian/tmp/usr/man/man1
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp ignore debian/tmp/usr/doc/$(package)/examples/sample-ignore
	find debian/tmp/usr/doc/$(package) -type f | xargs gzip -9
	gunzip debian/tmp/usr/doc/$(package)/copyright.gz
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=u,go-ws debian/tmp
	dpkg --build debian/tmp ..

clean:
	rm -rf debian/tmp

checkroot:
	test root = "`whoami`"

## syslog-summary 1.8

=== debian/changelog ===
syslog-summary (1.8) unstable; urgency=low

  * Added support for "Ddd Mmm DD HH:MM" -style dates, which seem to be
    the format in which ippl outputs them. This fixes bug #35366.

 -- Lars Wirzenius <liw@iki.fi>  Sat,  7 Aug 1999 22:33:17 +0300

syslog-summary (1.7) unstable; urgency=low

  * Made sure md5obj was defined when not using states.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 30 Oct 1998 14:51:04 +0200

syslog-summary (1.6) unstable; urgency=low

  * Fixed --state so that it actually works: bug caused the beginning of
    the file to be ignored when computing the md5 of the file, and the
    beginning matched the saved state.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 29 Oct 1998 13:31:20 +0200

syslog-summary (1.5) unstable; urgency=low

  * Manual page is now compressed.
  * Fixed name of changelog in /usr/doc.
  * Fixed so that it works without --state.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 28 Oct 1998 18:49:28 +0200

syslog-summary (1.4) unstable; urgency=low

  * Added --state option to allow syslog-summary to only report lines once.

 -- Lars Wirzenius <liw@iki.fi>  Mon, 19 Oct 1998 12:52:06 +0300

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,9 @@
 	install -d debian/tmp/usr/man/man1
 	install syslog-summary debian/tmp/usr/bin
 	install -m 0644 syslog-summary.1 debian/tmp/usr/man/man1
+	gzip -9 debian/tmp/usr/man/man*/*
 	cp debian/copyright debian/tmp/usr/doc/$(package)/.
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
+	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog
 	cp ignore debian/tmp/usr/doc/$(package)/examples/sample-ignore
 	find debian/tmp/usr/doc/$(package) -type f | xargs gzip -9
 	gunzip debian/tmp/usr/doc/$(package)/copyright.gz

## syslog-summary 1.11

=== debian/changelog ===
syslog-summary (1.11) unstable; urgency=low

  * Use re instead the obsolete regex library. This changes all
    ignore-file regexps from Emacs-style to Perl-style. See
    http://py-howto.sourceforge.net/regex-to-re/node4.html
    for help on converting. (Closes: #126727, #124129)
  * Support "last message repeated n times" messages, count them
    in the total times seen. Lines processed still shows physical
    lines of log. (Closes: #67608)
  * Optimized: analyzing 10000 lines goes from 9 seconds
    to <1 second. Use python2.1 explicitly due to xreadlines.

 -- Tommi Virtanen <tv@debian.org>  Fri, 28 Dec 2001 23:13:08 +0200

syslog-summary (1.10.2) unstable; urgency=low

  * debian/control: Follow the new Python policy.

 -- Tommi Virtanen <tv@debian.org>  Mon,  5 Nov 2001 20:02:14 +0200

syslog-summary (1.10.1) unstable; urgency=low

  * Adopted the package.
  * Lintian clean, up-to-date Standards-Version, and
    no more debhelper.

 -- Tommi Virtanen <tv@debian.org>  Mon, 17 Sep 2001 18:14:33 +0300

syslog-summary (1.10) unstable; urgency=low

  * Updated to standards version 3.1.1.1.
  * Added sample-ignore file in examples directory.
  * Section and Priority fields added to .deb.

 -- Lars Wirzenius <liw@iki.fi>  Wed,  3 May 2000 09:39:52 +0300

syslog-summary (1.9) unstable; urgency=low

  * Added support for "Ddd Mmm DD HH:MM:SS" -style dates, which seem to be
    the format in which iplogger outputs them. Suggestion from Tomas Ogren.
  * Rewrote debian/rules to use debhelper.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 29 Apr 2000 16:39:43 +0300

=== debian/control ===
Source: syslog-summary
Maintainer: Tommi Virtanen <tv@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.5.6

Package: syslog-summary
Architecture: all
Depends: python2.1
Description: Summarize the contents of a syslog log file.
 This program summarizes the contents of a log file written by syslog,
 by displaying each unique (except for the time) line once, and also
 the number of times such a line occurs in the input. The lines are
 displayed in the order they occur in the input.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE:=syslog-summary
INSTDIR:=debian/inst.$(PACKAGE)
DOCDIR:=$(INSTDIR)/usr/share/doc/$(PACKAGE)
MANDIR:=$(INSTDIR)/usr/share/man
MAN1DIR:=$(MANDIR)/man1

build:

clean:
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -rf debian/substvars debian/files "debian/inst.$(PACKAGE)"

binary: binary-arch binary-indep

binary-arch:

binary-indep: clean
	install -d -m0755 \
		$(INSTDIR)/usr/bin \
		$(MAN1DIR) \
		$(DOCDIR)/examples
	install -m0755 syslog-summary $(INSTDIR)/usr/bin
	install -m 0644 syslog-summary.1 $(MAN1DIR)
	install -m 0644 ignore \
		$(DOCDIR)/examples/sample-ignore
	install -m 0644 \
		debian/copyright \
		debian/changelog \
		$(DOCDIR)
	gzip -9f \
		$(DOCDIR)/changelog \
		$(MAN1DIR)/syslog-summary.1

	install -d --mode=0755 $(INSTDIR)/DEBIAN
	install --mode=0755 \
		debian/postinst \
		debian/prerm \
		$(INSTDIR)/DEBIAN
	dpkg-gencontrol -isp -P$(INSTDIR)
	dpkg --build $(INSTDIR) ..

.PHONY: build clean binary-indep binary-arch binary

## syslog-summary 1.12

=== debian/changelog ===
syslog-summary (1.12) unstable; urgency=low

  * Switch to Python 2.2. (Closes: #171043)
  * Updated Debian standards version.
  * No longer provide /usr/doc symlinks. This also removes the
    cut-and-paste error that caused a symlink for freecdb to be
    created. This should require no cleanup, as that code was only
    activated if freecdb was installed, and in that case the symlink will
    eventually get cleaned by freecdb's prerm. (Closes: #183050)

 -- Tommi Virtanen <tv@debian.org>  Sun, 20 Apr 2003 18:05:41 +0300

=== debian/control ===
Source: syslog-summary
Maintainer: Tommi Virtanen <tv@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.5.9

Package: syslog-summary
Architecture: all
Depends: python2.2
Description: Summarize the contents of a syslog log file
 This program summarizes the contents of a log file written by syslog,
 by displaying each unique (except for the time) line once, and also
 the number of times such a line occurs in the input. The lines are
 displayed in the order they occur in the input.

## syslog-summary 1.12ubuntu1

=== debian/changelog ===
syslog-summary (1.12ubuntu1) hoary; urgency=low

  * Python transition (2.2 -> 2.4).
  * updated standards-version 3.5.9 to 3.6.1.1.

 -- Daniel Holbach <dh@mailempfang.de>  Wed, 23 Feb 2005 01:11:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Tommi Virtanen <tv@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.5.9
+Standards-Version: 3.6.1.1
 
 Package: syslog-summary
 Architecture: all
-Depends: python2.2
+Depends: python (>= 2.4)
 Description: Summarize the contents of a syslog log file
  This program summarizes the contents of a log file written by syslog,
  by displaying each unique (except for the time) line once, and also

## syslog-summary 1.12ubuntu2

=== debian/changelog ===
syslog-summary (1.12ubuntu2) edgy; urgency=low

  * Fake-syncing from Debian, due to versioning.  No Ubuntu changes.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 30 Aug 2006 12:45:45 +1000

syslog-summary (1.12-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Set urgency to high due to RC bugfix.
  * Remove harcoded python2.2 dependency in syslog-summary to help fixing RC
    bugs (Closes: #266423).
  * Update Build-Depends (Closes: #370031, #364900).
  * Bump Standards-Version.

 -- Julien Louis <ptitlouis@sysif.net>  Sun,  4 Jun 2006 13:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Tommi Virtanen <tv@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.6.1.1
+Standards-Version: 3.7.2
 
 Package: syslog-summary
 Architecture: all
-Depends: python (>= 2.4)
+Depends: python
 Description: Summarize the contents of a syslog log file
  This program summarizes the contents of a log file written by syslog,
  by displaying each unique (except for the time) line once, and also

## syslog-summary 1.12ubuntu3

=== debian/changelog ===
syslog-summary (1.12ubuntu3) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:10:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: syslog-summary
-Maintainer: Tommi Virtanen <tv@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tommi Virtanen <tv@debian.org>
 Section: admin
 Priority: optional
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -35,10 +35,6 @@
 		$(MAN1DIR)/syslog-summary.1
 
 	install -d --mode=0755 $(INSTDIR)/DEBIAN
-	install --mode=0755 \
-		debian/postinst \
-		debian/prerm \
-		$(INSTDIR)/DEBIAN
 	dpkg-gencontrol -isp -P$(INSTDIR)
 	dpkg --build $(INSTDIR) ..

## syslog-summary 1.14

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 				--param man.charmap.use.subset "0" \
 				--param make.year.ranges "1" \
 				--param make.single.year.ranges "1"
+
+version = $(shell grep ^version syslog-summary | cut -d\" -f2)
 
 install:
 	install -m 755 syslog-summary $(DESTDIR)/usr/bin/syslog-summary
@@ -14,3 +16,13 @@
 syslog-summary.1: syslog-summary.1.xml
 	$(XP) $<
 
+dist: clean
+	mkdir syslog-summary-$(version)/
+	find . -maxdepth 1 -type f | xargs cp -t syslog-summary-$(version)/
+	@rm -rf syslog-summary-$(version)/.git/
+	tar zcf syslog-summary-$(version).tar.gz syslog-summary-$(version)/
+	rm -rf syslog-summary-$(version)/
+
+clean:
+	@find . -type d -name "syslog-summary-*" | xargs rm -rf
+	@find . -type f -name "*.tar.gz" -delete

=== debian/changelog ===
syslog-summary (1.14-2.3) unstable; urgency=medium

  * Non-maintainer upload source only

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 14 Nov 2024 12:31:17 +0100

syslog-summary (1.14-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Added d/gbp.conf to describe branch layout.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Use wrap-and-sort -satb for debian control files.
  * Remove obsolete debian/pyversions.
  * Bump debhelper from deprecated 9 to 13.
  * Change VCS fields to salsa
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Use patches from https://github.com/shtrom/syslog-summary to work with
    python3
  * the above patch also fixes: (Closes: #850752)
  * update watch file to version 4

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 22 Oct 2024 14:51:30 +0200

syslog-summary (1.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python instead of python-support.  Closes: #786037
    + This will also rewrite the shabeng.  LP: #605145
  * Use source format 3.0 (quilt).
  * Canonicalize Vcs-* fields.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Bump debhelper compat version to 9.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Dec 2015 00:48:49 +0000

syslog-summary (1.14-2) unstable; urgency=low

  * debian/control:
    - updated my email address
    - DMUA removed
  * debian/patches/01-fix_shebang.patch added: use /usr/bin/python
    instead of hardcoding python2.5 (Closes: #588524)
  * debian/pyversions: required version bumped to >= 2.5

 -- David Paleino <dapal@debian.org>  Mon, 27 Sep 2010 22:34:09 +0200

syslog-summary (1.14-1) unstable; urgency=low

  * New upstream release:
    - implemented automatic decompression of .gz files (Closes: #284708)
    - refactored hashing code, not to use py2.6 deprecated libraries
      (Closes: #534451)
    - check lines against regex earlier in the code (Closes: #241712)
  * debian/watch updated
  * debian/TODO removed, that should really be an upstream file
  * debian/compat bumped to 7
  * debian/rules:
    - now uses dh7-tiny layout
    - manually set DESTDIR to fix FTBFS
    - use --with quilt
  * debian/control:
    - Build-Depends on debhelper bumped to >= 7
    - Build-Depends added on quilt >= 0.46-7~
    - Build-Depends added on python-support
    - Build-Depends added on python
    - Standards-Version bumped to 3.8.3, no changes needed
    - Vcs-* fields updated
    - added ${misc:Depends} and ${python:Depends} to Dependency field
    - removed "python" dependency (should come from python:Depends)
    - added Recommends on python-magic (for gz-compression detection)
    - DMUA set
  * debian/patches/00-fix_Makefile.patch added, fixes FTBFS
  * debian/manpages added
  * debian/README.source added
  * debian/pyversions added (only tested upstream with 2.5)

 -- David Paleino <d.paleino@gmail.com>  Fri, 18 Sep 2009 11:15:40 +0200

syslog-summary (1.13-1) unstable; urgency=low

  * This package is no longer Debian native.
  * New upstream release:
    - Implemented a "usage" output message (Closes: #416154)
  * Adopting the package (Closes: #455005)
  * Acknowledged previous NMU (Closes: #266423)
  * Standards-Version updated to 3.7.3 (no changes needed)
  * debian/watch added

 -- David Paleino <d.paleino@gmail.com>  Thu, 21 Feb 2008 19:07:22 +0100

=== debian/control ===
Source: syslog-summary
Maintainer: David Paleino <dapal@debian.org>
Section: admin
Priority: optional
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
Homepage: https://github.com/shtrom/syslog-summary
Vcs-Browser: https://salsa.debian.org/debian/syslog-summary
Vcs-Git: https://salsa.debian.org/debian/syslog-summary.git

Package: syslog-summary
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-magic,
Description: summarize the contents of a syslog log file
 This program summarizes the contents of a log file written by syslog,
 by displaying each unique (except for the time) line once, and also
 the number of times such a line occurs in the input. The lines are
 displayed in the order they occur in the input.
 .
 It is also possible to define some "ignore rules" using regular
 expressions.

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/syslog-summary

%:
	dh $@ --with python3

=== debian/watch ===
version=4
opts="mode=git" \
 https://github.com/dpaleino/syslog-summary.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate
